mxFibonacciHeap.Node (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.analysis
Class mxFibonacciHeap.Node

    java.lang.Object
      com.mxgraph.analysis.mxFibonacciHeap.Node

Enclosing class:
  mxFibonacciHeap

    public static class mxFibonacciHeap.Node

extends Object

Implements a node of the Fibonacci heap. It holds the information necessary for maintaining the structure of the heap. It also holds the reference to the key value (which is used to determine the heap structure). Additional Node data should be stored in a subclass.

Constructor Summary
`mxFibonacciHeap.Node(Object userObject, double key)` Default constructor.

Method Summary
`double` | `getKey()` Obtain the key for this node.
`Object` | `getUserObject()`
`void` | `setUserObject(Object userObject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### mxFibonacciHeap.Node

    public mxFibonacciHeap.Node(Object userObject,
                                double key)

  Default constructor. Initializes the right and left pointers, making this a circular doubly-linked list.

  Parameters:
    `key` - The initial key for node.

Method Detail

### getKey

    public final double getKey()

  Obtain the key for this node.

  Returns:
    the key

### getUserObject

    public Object getUserObject()

  Returns:
    Returns the userObject.

### setUserObject

    public void setUserObject(Object userObject)

  Parameters:
    `userObject` - The userObject to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.